summaryrefslogtreecommitdiffstats
path: root/network/ani-cli
diff options
context:
space:
mode:
Diffstat (limited to 'network/ani-cli')
-rw-r--r--network/ani-cli/README9
-rw-r--r--network/ani-cli/ani-cli.SlackBuild75
-rw-r--r--network/ani-cli/ani-cli.info10
-rw-r--r--network/ani-cli/changelog13
-rw-r--r--network/ani-cli/slack-desc19
5 files changed, 126 insertions, 0 deletions
diff --git a/network/ani-cli/README b/network/ani-cli/README
new file mode 100644
index 0000000000..c475d27b95
--- /dev/null
+++ b/network/ani-cli/README
@@ -0,0 +1,9 @@
+ani-cli is an cli tool to browse and watch anime alone
+and with friends.This tool scrapes the site allanime.
+
+If you encounter No results found and are sure the
+prompt was correct or any breaking issue, then make
+sure you are on latest version by typing
+sudo ani-cli -U to update on Linux.
+If after this the issue persists then open an
+issue with upstream developer.
diff --git a/network/ani-cli/ani-cli.SlackBuild b/network/ani-cli/ani-cli.SlackBuild
new file mode 100644
index 0000000000..4ea355891d
--- /dev/null
+++ b/network/ani-cli/ani-cli.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/bash
+
+# Slackware build script for ani-cli
+
+# Copyright 2022-2024 Vijay Marcel
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=ani-cli
+VERSION=${VERSION:-4.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee -a $OUTPUT/error-${PRGNAM}.log' ERR
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -D -m755 $TMP/$PRGNAM-$VERSION/ani-cli -t $PKG/usr/bin/
+install -D -m644 $TMP/$PRGNAM-$VERSION/ani-cli.1 -t $PKG/usr/man/man1/
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CONTRIBUTING.md disclaimer.md LICENSE README.md hacking.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 0644 {} \+
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
+
diff --git a/network/ani-cli/ani-cli.info b/network/ani-cli/ani-cli.info
new file mode 100644
index 0000000000..4f32cf4d53
--- /dev/null
+++ b/network/ani-cli/ani-cli.info
@@ -0,0 +1,10 @@
+PRGNAM="ani-cli"
+VERSION="4.8"
+HOMEPAGE="https://github.com/pystardust/ani-cli"
+DOWNLOAD="https://github.com/pystardust/ani-cli/archive/v4.8/ani-cli-4.8.tar.gz"
+MD5SUM="5111c94ff8b032192774e22da5494db2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="aria2 yt-dlp fzf mpv"
+MAINTAINER="Vijay Marcel"
+EMAIL="vijaymarcel@outlook.com"
diff --git a/network/ani-cli/changelog b/network/ani-cli/changelog
new file mode 100644
index 0000000000..d184ac9f4b
--- /dev/null
+++ b/network/ani-cli/changelog
@@ -0,0 +1,13 @@
+Changelog for ani-cli SlackBuild Script
+--------------------------------------------------------------------
+
+26/11/2022:
+
+Added to SBo
+
+09/02/2024:
+
+Updated to version 4.8
+ani-cli now depends on fzf,aria2 instead of axel
+and yt-dlp apart from mpv.Thanks to Andrew Clemons
+for helping me figure out fzf.
diff --git a/network/ani-cli/slack-desc b/network/ani-cli/slack-desc
new file mode 100644
index 0000000000..e91701f969
--- /dev/null
+++ b/network/ani-cli/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ani-cli: ani-cli (Watch Anime in Terminal)
+ani-cli:
+ani-cli: ani-cli is an cli tool to browse and watch anime alone
+ani-cli: and with friends. This tool scrapes the site animixplay.
+ani-cli:
+ani-cli:
+ani-cli:
+ani-cli: Homepage:https://github.com/pystardust/ani-cli
+ani-cli:
+ani-cli:
+ani-cli: